> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクションの情報を取得します

> トランザクションの詳細を取得します。処理が完了している場合は結果へのリンクが含まれ、手動確認が必要な場合は手動確認用のリンクが含まれます。



## OpenAPI

````yaml /ja/openapi.json get /api/publicapi/v1/transactions/{transactionId}
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}:
    get:
      tags:
        - Transactions
      summary: トランザクションの情報を取得します
      description: トランザクションの詳細を取得します。処理が完了している場合は結果へのリンクが含まれ、手動確認が必要な場合は手動確認用のリンクが含まれます。
      operationId: GetTransactionInfo
      parameters:
        - description: トランザクション識別子。トランザクションが正常に作成されると、レスポンスで返されます。
          in: path
          name: transactionId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
          description: トランザクション情報が正常に取得されました
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: トランザクションが見つかりません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto:
      additionalProperties: false
      properties:
        documents:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ExtractedDocumentDto
          nullable: true
          type: array
        error:
          nullable: true
          type: string
        id:
          format: uuid
          type: string
        manualReviewLink:
          nullable: true
          type: string
        sourceFiles:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto
          nullable: true
          type: array
        status:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.TransactionStatus
      required:
        - id
        - status
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ExtractedDocumentDto:
      additionalProperties: false
      properties:
        businessRulesErrors:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.DocumentBusinessRulesErrorDto
          nullable: true
          type: array
        classification:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationDto
        id:
          format: uuid
          type: string
        resultFiles:
          description: 分類スキルの場合は空のままです
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ResultFileDto
          nullable: true
          type: array
      required:
        - id
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto:
      additionalProperties: false
      properties:
        id:
          description: ファイルの一意の識別子
          minLength: 1
          type: string
        name:
          description: ファイル名。トランザクションごとに一意である必要があります。
          minLength: 1
          type: string
      required:
        - id
        - name
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.TransactionStatus:
      enum:
        - New
        - Processing
        - Processed
        - Failed
        - Canceled
      type: string
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.DocumentBusinessRulesErrorDto:
      additionalProperties: false
      properties:
        currentFieldId:
          description: ルール実行時にエラーが発生したコンテキスト内のfieldのID
          minLength: 1
          type: string
        customMessage:
          description: カスタムエラーメッセージ
          nullable: true
          type: string
        errorType:
          description: 正規化、条件、不明…
          minLength: 1
          type: string
        ruleId:
          description: エラーが発生したルールのID
          minLength: 1
          type: string
      required:
        - currentFieldId
        - errorType
        - ruleId
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationDto:
      additionalProperties: false
      properties:
        classConfidences:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationConfidenceDto
          type: array
        isResultClassConfident:
          type: boolean
        resultClass:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassDto
      required:
        - classConfidences
        - isResultClassConfident
        - resultClass
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ResultFileDto:
      additionalProperties: false
      properties:
        fileId:
          description: ストレージ内の Uuid
          minLength: 1
          type: string
        fileName:
          description: 'あらかじめ定義された命名規則: [documents Skill 名].[拡張子]'
          minLength: 1
          type: string
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.ResultFileType
      required:
        - fileId
        - fileName
        - type
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationConfidenceDto:
      additionalProperties: false
      properties:
        classId:
          minLength: 1
          type: string
        className:
          minLength: 1
          type: string
        confidence:
          format: int32
          type: integer
      required:
        - classId
        - className
        - confidence
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassDto:
      additionalProperties: false
      properties:
        id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.ResultFileType:
      enum:
        - Json
        - Pdf
        - Text
        - Docx
        - Xlsx
        - OcrJson
        - FieldsJson
        - FieldPicture
        - Xml
        - Tiff
        - Jpeg
        - Csv
        - Html
        - Pptx
        - Alto
        - Png
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````